## kosmindoormap 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KOSMIndoorMap VERSION ${RELEASE_SERVICE_VERSION})

option(BUILD_STANDALONE_APP "Build and install the stand-alone test/demo app." OFF)
option(BUILD_TOOLS_ONLY "Build only the command-line tools." OFF)

find_package(ECM 6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
set(CMAKE_CXX_STANDARD 20)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMAddAndroidApk)

ecm_setup_version(PROJECT VARIABLE_PREFIX KOSMINDOORMAP
    VERSION_HEADER kosmindoormap_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfigVersion.cmake"
    SOVERSION 1
)

set(QT_MIN_VERSION 6.5)
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Network)

set(KPublicTransport_DEPENDENCY_TYPE REQUIRED)
if (NOT USE_KPUBLICTRANSPORT AND NOT BUILD_STANDALONE_APP)
    set(KPublicTransport_DEPENDENCY_TYPE RECOMMENDED)
endif()

if (NOT BUILD_TOOLS_ONLY)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Quick)
    find_package(KF6 REQUIRED COMPONENTS I18n)
    find_package(KPublicTransport)
    set_package_properties(KPublicTransport PROPERTIES TYPE ${KPublicTransport_DEPENDENCY_TYPE} PURPOSE "Integration of public transport realtime data.")
    find_package(KOpeningHours)
    set_package_properties(KOpeningHours PROPERTIES TYPE REQUIRED PURPOSE "Highlight currently open amenities/shops/etc.")
    if (ANDROID)
        find_package(Gradle REQUIRED)
    else()
        find_package(KF6 OPTIONAL_COMPONENTS CoreAddons Service)
    endif()

    find_package(recastnavigation)
    set_package_properties(recastnavigation PROPERTIES TYPE RECOMMENDED PURPOSE "Navigation engine." URL "https://recastnav.com/")
endif()

if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test Widgets)
endif()

if (BUILD_STANDALONE_APP)
    if (NOT ANDROID)
        find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
    else()
        find_package(KF6 6.3 REQUIRED COMPONENTS Kirigami)
        find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS QuickControls2 Svg)
        find_package(OpenSSL REQUIRED)
        if (NOT DEFINED BREEZEICONS_DIR AND EXISTS ${CMAKE_SOURCE_DIR}/../breeze-icons)
            set(BREEZEICONS_DIR ${CMAKE_SOURCE_DIR}/../breeze-icons)
        endif()
    endif()
endif()

find_package(ZLIB REQUIRED)
find_package(OsmTools)
set_package_properties(OsmTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for regenereating line metadata tables (ie. you most likely don't need this)")

if (NOT BUILD_TOOLS_ONLY)
    find_package(FLEX REQUIRED)
    set_package_properties(FLEX PROPERTIES PURPOSE "MapCSS parser for indoor map rendering.")
    find_package(BISON REQUIRED)
    set_package_properties(BISON PROPERTIES PURPOSE "MapCSS parser for indoor map rendering.")
endif()

if (NOT WIN32)
    # try upstream cmake config first
    set(protobuf_MODULE_COMPATIBLE ON)
    find_package(Protobuf CONFIG)
    if(NOT Protobuf_FOUND)
    # fall back to cmake's protobuf module
       find_package(Protobuf)
    endif()
    set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")
endif()

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.5 KF 5.240.0)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KOSMIndoorMap")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KOSMIndoorMapConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KOSMIndoorMapConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(EXPORT KOSMIndoorMapTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KOSMIndoorMapTargets.cmake)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kosmindoormap_version.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
if (NOT BUILD_TOOLS_ONLY)
    ki18n_install(po)
endif()

=== debian/changelog ===
kosmindoormap (24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:02 -0500

kosmindoormap (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:31 -0500

kosmindoormap (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2025 22:57:45 +0000

=== debian/control ===
Source: kosmindoormap
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: bison,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0~),
               flex,
               libkf6coreaddons-dev,
               libkf6i18n-dev,
               libkf6service-dev,
               libkirigami-dev (>= 6.3~),
               libkopeninghours-dev (>= 24.12.3~),
               libkpublictransport-dev (>= 24.12.3~),
               libprotobuf-dev,
               librecast-dev,
               libssl-dev,
               protobuf-compiler,
               qml6-module-org-kde-contacts,
               qml6-module-org-kde-kirigamiaddons-formcard,
               qt6-base-dev (>= 6.5~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Homepage: https://invent.kde.org/libraries/kosmindoormap/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: kosmindoormap-demo
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OSM multi-floor indoor map demo application
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 Contains a demo application.

Package: kosmindoormap-dev
Section: libdevel
Architecture: any
Depends: libkosm1 (= ${binary:Version}),
         libkosmindoormap1 (= ${binary:Version}),
         libkosmindoorrouting1 (= ${binary:Version}),
         qml6-module-org-kde-kosmindoormap (= ${binary:Version}),
         qml6-module-org-kde-kosmindoorrouting (= ${binary:Version}),
         qml6-module-org-kde-osm-editorcontroller (= ${binary:Version}),
         qt6-base-dev (>= 6.5~),
         ${misc:Depends},
Description: OSM multi-floor indoor map renderer (development files)
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 Contains development files.

Package: libkosmindoormap1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: OSM multi-floor indoor map renderer
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: libkosmindoorrouting1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: OSM multi-floor indoor map navigation
 Open Street Map indoor map navigation of for example a (large) train station.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: libkosm1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for OSM data with Qt
 Use OSM data with Qt data types to use it easily in your Qt applications.
 .
 It gives you picking support for implementing interaction with map elements.
 It supports externally provided overlay elements. It allows pre-loading and
 caching API for offline support in applications.

Package: qml6-module-org-kde-kosmindoormap
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OSM multi-floor indoor map renderer QML module
 Open Street Map indoor map renderer module for QML.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: qml6-module-org-kde-kosmindoorrouting
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OSM multi-floor indoor map navigation QML module
 Open Street Map indoor map navigation module for QML.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: qml6-module-org-kde-osm-editorcontroller
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OSM indoor editor QML module
 Open Street Map indoor map editor for QML.

## kosmindoormap 25.04.0

=== debian/changelog ===
kosmindoormap (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:28:04 +0200

kosmindoormap (24.12.0-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Mark tests as flaky on i386 (Closes: #1099453).

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Mar 2025 20:06:01 +0100

## kosmindoormap 25.04.3

=== src/map-quick/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KOSMIndoorMapQuick STATIC
    amenitymodel.cpp
    amenitysortfilterproxymodel.cpp
    assets.qrc
    floorlevelchangemodel.cpp
    localization.cpp
    mapitem.cpp
    osmaddress.cpp
    osmelement.cpp
    osmelementinformationmodel.cpp
    roommodel.cpp
    roomsortfilterproxymodel.cpp
)
set_target_properties(KOSMIndoorMapQuick PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(KOSMIndoorMapQuick PUBLIC
    Qt::Quick
    KF6::I18n
    KF6::I18nLocaleData
    KOSMIndoorMap
    KWikidata
)
qt_extract_metatypes(KOSMIndoorMapQuick)

ecm_qt_declare_logging_category(KOSMIndoorMapQuick
    HEADER logging.h
    IDENTIFIER KOSMIndoorMap::Log
    CATEGORY_NAME org.kde.kosmindoormap.quick
    DESCRIPTION "KOSMIndoorMap (Quick Bindings)"
    EXPORT KOSMINDOORMAP
)

ecm_add_qml_module(kosmindoormapquickplugin
    URI "org.kde.kosmindoormap"
    VERSION 1.0
    QML_FILES
        AmenityListDelegate.qml
        AmenitySearchDialog.qml
        FloorLevelSelector.qml
        IndoorMap.qml
        IndoorMapAttributionLabel.qml
        IndoorMapScale.qml
        OSMElementInformationDialog.qml
        OSMElementInformationDialogAddressDelegate.qml
        OSMElementInformationDialogImageDelegate.qml
        OSMElementInformationDialogLinkDelegate.qml
        OSMElementInformationDialogOpeningHoursDelegate.qml
        OSMElementInformationDialogStringDelegate.qml
        RoomSearchDialog.qml
    SOURCES
        mappointerevent.cpp
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    CLASS_NAME "KOSMIndoorMapQuickPlugin"
    DEPENDENCIES
        "QtQuick.Controls"
        "QtQuick.Layouts"
        "org.kde.kirigami"
        "org.kde.kopeninghours"
        "org.kde.contacts"
)
target_sources(kosmindoormapquickplugin PRIVATE
    kosmindoormapquickplugin.cpp
    types.h
)
target_link_libraries(kosmindoormapquickplugin PRIVATE
    KOSMIndoorMapQuick
)

ecm_finalize_qml_module(kosmindoormapquickplugin)

=== src/osm/io/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

if (Protobuf_FOUND AND TARGET protobuf::protoc)
    PROTOBUF_GENERATE_CPP(pbf_srcs pbf_hdrs
        ../pbf/fileformat.proto
        ../pbf/osmformat.proto
    )
    set_source_files_properties(${pbf_srcs} ${pbf_hdrs} PROPERTIES SKIP_AUTOMOC ON)

    add_library(KOSM_pbfioplugin STATIC)
    target_sources(KOSM_pbfioplugin PRIVATE
        ${pbf_srcs}
        osmpbfplugin.cpp
        ../osmpbfparser.cpp
        ../osmpbfwriter.cpp
    )
    target_include_directories(KOSM_pbfioplugin PRIVATE ${Protobuf_INCLUDE_DIRS})
    target_compile_definitions(KOSM_pbfioplugin PRIVATE -DQT_STATICPLUGIN=1)
    set_target_properties(KOSM_pbfioplugin PROPERTIES POSITION_INDEPENDENT_CODE ON)
    target_link_libraries(KOSM_pbfioplugin
        PUBLIC KOSM
        PRIVATE protobuf::libprotobuf-lite ZLIB::ZLIB
    )
endif()

=== debian/changelog ===
kosmindoormap (25.04.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Build without recastnavigation.

 -- Patrick Franz <deltaone@debian.org>  Mon, 29 Sep 2025 19:18:13 +0200

kosmindoormap (25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Be slightly more clever when fixing level tag separator errors.
    - Also find standard-compliant free-floating platform section signs.
    - Extend area rules for various elevator tagging schemes.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Jul 2025 13:23:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kosmindoormap
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               bison,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0~),
                flex,
                libkf6coreaddons-dev,
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 24.12.3~),
-               libkpublictransport-dev (>= 24.12.3~),
+               libkopeninghours-dev (>= 24.12~),
+               libkpublictransport-dev (>= 24.12~),
                libprotobuf-dev,
-               librecast-dev,
+#               librecast-dev, # disbale until fixed
                libssl-dev,
                protobuf-compiler,
                qml6-module-org-kde-contacts,
@@ -34,17 +33,15 @@
                xvfb <!nocheck>,
                zlib1g-dev,
 Homepage: https://invent.kde.org/libraries/kosmindoormap/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
-Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap.git
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: kosmindoormap-demo
 Section: utils
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map demo application
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -111,9 +108,7 @@
 Package: qml6-module-org-kde-kosmindoormap
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer QML module
  Open Street Map indoor map renderer module for QML.
  .
@@ -127,9 +122,7 @@
 Package: qml6-module-org-kde-kosmindoorrouting
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map navigation QML module
  Open Street Map indoor map navigation module for QML.
  .
@@ -143,8 +136,6 @@
 Package: qml6-module-org-kde-osm-editorcontroller
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM indoor editor QML module
  Open Street Map indoor map editor for QML.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

unstable_architectures := i386

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_STANDALONE_APP=TRUE

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH), $(filter $(DEB_HOST_ARCH), $(unstable_architectures)))
	- xvfb-run dh_auto_test --no-parallel
else
	xvfb-run dh_auto_test --no-parallel
endif

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

## kosmindoormap 25.07.80

=== debian/changelog ===
kosmindoormap (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Build depend on kirigami-addons-dev

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:43:31 +0100

kosmindoormap (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:10 +0100

kosmindoormap (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:53:57 +0100

kosmindoormap (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:12:35 +0100

kosmindoormap (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:56:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: kosmindoormap
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               bison,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0~),
                flex,
+               kirigami-addons-dev (>= 1.6.0~),
                libkf6coreaddons-dev,
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 24.12~),
-               libkpublictransport-dev (>= 24.12~),
+               libkopeninghours-dev (>= 25.07.80~),
+               libkpublictransport-dev (>= 25.07.80~),
                libprotobuf-dev,
-#               librecast-dev, # disbale until fixed
+               librecast-dev,
                libssl-dev,
                protobuf-compiler,
                qml6-module-org-kde-contacts,
@@ -33,15 +35,17 @@
                xvfb <!nocheck>,
                zlib1g-dev,
 Homepage: https://invent.kde.org/libraries/kosmindoormap/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap.git
-Standards-Version: 4.7.2
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: kosmindoormap-demo
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map demo application
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -108,7 +112,9 @@
 Package: qml6-module-org-kde-kosmindoormap
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer QML module
  Open Street Map indoor map renderer module for QML.
  .
@@ -122,7 +128,9 @@
 Package: qml6-module-org-kde-kosmindoorrouting
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map navigation QML module
  Open Street Map indoor map navigation module for QML.
  .
@@ -136,6 +144,8 @@
 Package: qml6-module-org-kde-osm-editorcontroller
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM indoor editor QML module
  Open Street Map indoor map editor for QML.

## kosmindoormap 25.07.90

=== debian/changelog ===
kosmindoormap (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:54:05 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.07.80~),
-               libkpublictransport-dev (>= 25.07.80~),
+               libkopeninghours-dev (>= 25.07.90~),
+               libkpublictransport-dev (>= 25.07.90~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,

## kosmindoormap 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOSMIndoorMap VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -45,12 +45,19 @@
 endif()
 
 if (NOT BUILD_TOOLS_ONLY)
-    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Quick)
+    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Quick)
+
+    if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+        find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+    endif()
+
     find_package(KF6 REQUIRED COMPONENTS I18n)
     find_package(KPublicTransport)
     set_package_properties(KPublicTransport PROPERTIES TYPE ${KPublicTransport_DEPENDENCY_TYPE} PURPOSE "Integration of public transport realtime data.")
     find_package(KOpeningHours)
     set_package_properties(KOpeningHours PROPERTIES TYPE REQUIRED PURPOSE "Highlight currently open amenities/shops/etc.")
+    find_package(KF6KirigamiAddons 1.6.0)
+    set_package_properties(KF6KirigamiAddons PROPERTIES TYPE REQUIRED PURPOSE "IndoorMapView floating buttons.")
     if (ANDROID)
         find_package(Gradle REQUIRED)
     else()
@@ -109,7 +116,7 @@
     add_subdirectory(tests)
 endif()
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KOSMIndoorMap")
 configure_package_config_file(

=== debian/changelog ===
kosmindoormap (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:56:42 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.07.90~),
-               libkpublictransport-dev (>= 25.07.90~),
+               libkopeninghours-dev (>= 25.08.0~),
+               libkpublictransport-dev (>= 25.08.0~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,

## kosmindoormap 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOSMIndoorMap VERSION ${RELEASE_SERVICE_VERSION})

=== src/wikidata/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KWikidata STATIC
    entities.cpp
    wikidataquerymanager.cpp
    wikidataquery.cpp
    entities.h
    wikidataquerymanager.h
    wikidataquery.h
)

target_include_directories(KOSM PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_link_libraries(KWikidata
    PUBLIC Qt::Gui
    PRIVATE Qt::Network
)
set_target_properties(KWikidata PROPERTIES POSITION_INDEPENDENT_CODE ON)

ecm_qt_declare_logging_category(KWikidata
    HEADER logging.h
    IDENTIFIER Wikidata::Log
    CATEGORY_NAME org.kde.wikidata
    DESCRIPTION "KWikidata"
    EXPORT KWIKIDATA
)

=== debian/changelog ===
kosmindoormap (25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:13:30 +0100

kosmindoormap (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:11:06 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.08.0~),
-               libkpublictransport-dev (>= 25.08.0~),
+               libkopeninghours-dev (>= 25.08.1~),
+               libkpublictransport-dev (>= 25.08.1~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,

## kosmindoormap 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOSMIndoorMap VERSION ${RELEASE_SERVICE_VERSION})

=== src/map-publictransport-integration/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(kosmindoormap_kpublictransport_integration_plugin
    URI "org.kde.kosmindoormap.kpublictransport"
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        "org.kde.kosmindoormap"
        "org.kde.kpublictransport"
        "org.kde.kpublictransport.ui"
    QML_FILES
        PlatformDialog.qml
)
target_sources(kosmindoormap_kpublictransport_integration_plugin PRIVATE
    locationqueryoverlayproxymodel.cpp
    realtimeequipmentmodel.cpp
)
target_link_libraries(kosmindoormap_kpublictransport_integration_plugin PRIVATE
    Qt::Qml
    KOSMIndoorMap
    KPublicTransport
)
ecm_finalize_qml_module(kosmindoormap_kpublictransport_integration_plugin)

=== src/osm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KOSM
    abstractreader.cpp
    abstractwriter.cpp
    datatypes.cpp
    datasetmergebuffer.cpp
    element.cpp
    geomath.cpp
    io.cpp
    languages.cpp
    o5mparser.cpp
    o5mwriter.cpp
    oscparser.cpp
    overpassquery.cpp
    overpassquerymanager.cpp
    pathutil.cpp
    stringpool.cpp
    xmlparser.cpp
    xmlwriter.cpp
    ztile.cpp

    io/o5mplugin.cpp
    io/oscplugin.cpp
    io/xmlplugin.cpp
)
generate_export_header(KOSM BASE_NAME KOSM)
set_target_properties(KOSM PROPERTIES
    VERSION ${KOSMINDOORMAP_VERSION}
    SOVERSION ${KOSMINDOORMAP_SOVERSION}
    EXPORT_NAME KOSM
)

target_include_directories(KOSM PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_link_libraries(KOSM PUBLIC Qt::Core PRIVATE Qt::Network)

ecm_generate_headers(KOSM_FORWARDING_HEADERS
    HEADER_NAMES
        AbstractReader
        AbstractWriter
        Datatypes
        Element
        IO
        Languages
    PREFIX KOSM
    REQUIRED_HEADERS KOSM_HEADERS
)

install(TARGETS KOSM EXPORT KOSMIndoorMapTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KOSM_FORWARDING_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KOSM
)
install(FILES
    ${KOSM_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kosm_export.h
    internal.h
    stringpool.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kosm
)

add_subdirectory(io)

=== debian/changelog ===
kosmindoormap (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:51:27 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.08.1~),
-               libkpublictransport-dev (>= 25.08.1~),
+               libkopeninghours-dev (>= 25.08.2~),
+               libkpublictransport-dev (>= 25.08.2~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
-unstable_architectures := i386
+unstable_architectures := empty
 
 # Starting with a library package $*, remove the ABI and append a
 # -MAJOR.MINOR suffix without the third component of the upstream version.

## kosmindoormap 25.08.2+p24.04+vstable+git20251011.0945

=== debian/changelog ===
kosmindoormap (25.08.2+p24.04+vstable+git20251011.0945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:45:28 +0000

kosmindoormap (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:22:12 +0000

kosmindoormap (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:53:41 +0000

kosmindoormap (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:15:34 +0000

kosmindoormap (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:51:33 +0000

kosmindoormap (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:41:44 +0000

kosmindoormap (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:09:39 +0000

kosmindoormap (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:34:12 +0000

kosmindoormap (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:06:57 +0000

kosmindoormap (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:24:37 +0000

kosmindoormap (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:32:42 +0000

kosmindoormap (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:11:26 +0000

kosmindoormap (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:35:32 +0000

kosmindoormap (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:00:07 +0000

kosmindoormap (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:31:33 +0000

kosmindoormap (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:23:37 +0000

kosmindoormap (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:06:28 +0000

kosmindoormap (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:19:32 +0000

kosmindoormap (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:08:41 +0000

kosmindoormap (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:53:03 +0000

kosmindoormap (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:30:00 +0000

kosmindoormap (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:13:05 +0000

kosmindoormap (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:07:53 +0000

kosmindoormap (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:55:50 +0000

kosmindoormap (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:39:46 +0000

kosmindoormap (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:14:29 +0000

kosmindoormap (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:16:40 +0000

kosmindoormap (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 01:04:09 +0000

kosmindoormap (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 14:01:58 +0000

kosmindoormap (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:41:02 +0000

kosmindoormap (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:15:56 +0000

kosmindoormap (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:21:45 +0000

kosmindoormap (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:45:21 +0000

kosmindoormap (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:59:00 +0000

kosmindoormap (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:31:17 +0000

kosmindoormap (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:53:38 +0000

kosmindoormap (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:50:21 +0000

kosmindoormap (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 14:03:23 +0000

kosmindoormap (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:57 +0000

kosmindoormap (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:12:55 +0000

kosmindoormap (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:37:19 +0000

kosmindoormap (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:44:26 +0000

kosmindoormap (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:36:00 +0000

kosmindoormap (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:24:41 +0000

kosmindoormap (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:21:13 +0000

kosmindoormap (21.04.2-0neon) focal; urgency=medium



=== debian/control ===
Source: kosmindoormap
Section: libs
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               flex,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kservice-dev,
               libkopeninghours-qt6-dev,
               libkpublictransport-dev,
               libprotobuf-dev,
               osmctools,
               pkg-kde-tools-neon,
               protobuf-compiler,
               qt6-base-dev,
               qt6-declarative-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kosmindoormap.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kosmindoormap
Maintainer: Neon CI <neon@kde.org>

Package: kosmindoormap-dev
Section: libdevel
Architecture: any
Depends: libkosm1 (= ${binary:Version}),
         libkosmindoormap1 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: OSM multi-floor indoor map renderer
 Open Stree Map indoor map renderer
 .
 Contains development files.

Package: libkosmindoormap1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OSM multi-floor indoor map renderer
 Open Stree Map indoor map renderer

Package: libkosm1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OSM multi-floor indoor map renderer
 Open Stree Map indoor map renderer

Package: qml6-module-org-kde-kosmindoormap
Architecture: any
Depends: kf6-kcontacts,
         kf6-kirigami,
         kf6-kirigami-addons,
         qml6-module-org-kde-kopeninghours,
         qml6-module-org-kde-kpublictransport,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: OSM multi-floor indoor map renderer QML module
 Open Stree Map indoor map renderer module for QML

## kosmindoormap 25.08.2+p24.04+vstable+git20251015.1102

=== debian/changelog ===
kosmindoormap (25.08.2+p24.04+vstable+git20251015.1102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:02:23 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## kosmindoormap 25.08.2+p24.04+vstable+git20251021.0601

=== debian/changelog ===
kosmindoormap (25.08.2+p24.04+vstable+git20251021.0601-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:01:28 +0000

## kosmindoormap 25.08.2+p24.04+vstable+git20251031.1111

=== debian/changelog ===
kosmindoormap (25.08.2+p24.04+vstable+git20251031.1111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 11:11:46 +0000
